Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86216 - kudzu should make /dev/cdrom entries in same order as /dev/scd entries
Summary: kudzu should make /dev/cdrom entries in same order as /dev/scd entries
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-17 13:07 UTC by Michael Wardle
Modified: 2014-03-17 02:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-29 20:54:57 UTC


Attachments (Terms of Use)

Description Michael Wardle 2003-03-17 13:07:49 UTC
Description of problem:
I have two ATAPI CD drives in my system, one as secondary master
(hdc) and one as secondary slave (hdd).  hdc is a DVD/CD-ROM drive,
hdd is a CD-RW drive.

On a clean install of Red Hat Linux 8.0.94, the CD-RW drive is
automatically configured as an IDE-SCSI drive by appending
"hdd=ide-scsi" to the kernel parameters at boot time, while the
DVD drive is left as a standard EIDE CD drive.

/dev/cdrom = /dev/hdc = hdc
/dev/cdrom1 = /dev/scd0 = hdd
/dev/cdwriter = /dev/sg0 = hdd

I decided I would like both ATAPI CD drives to use the IDE-SCSI
layer to keep things consistent, so I added "hdc=ide-scsi" to the
kernel parameters.  Afterward, I am left with:

/dev/cdrom = /dev/scd1 = hdd
/dev/cdrom1 = /dev/scd0 = hdc
/dev/cdwriter = /dev/sg1 = hdd

I would hope that I would instead have:

/dev/cdrom = /dev/scd0 = hdc
/dev/cdrom1 = /dev/scd1 = hdd
/dev/cdwriter = /dev/sg1 = hdd

I would expect this because it would:
- have the /dev/cdrom symbolic links in the same order as the
  IDE-SCSI devices (the first /dev/cdrom entry points to the first
  /dev/scd? entry, and so on)
- leave the /dev/cdrom symbolic links pointing to the same
  physical drive as they did before the DVD drive (hdc) was also
  made an IDE-SCSI device

I am filing this bug under kudzu, as I believe it is responsible
for hardware detection and modification of the /dev/cdrom symlinks.

This bug is probably unimportant, and you may decide to class it as
an enhancement rather than a defect.

Version-Release number of selected component (if applicable):
kudzu-0.99.96-1

Comment 1 Bill Nottingham 2005-03-29 20:54:57 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

In current trees this functionality is handled by HAL, fstab-sync, and the udev
configuration; the old code in kudzu is unlikely to change.


Note You need to log in before you can comment on or make changes to this bug.